Scilab Function

ctr_gram - controllability gramian

### Calling Sequence

  `[Gc]=ctr_gram(A,B [,dom])`
  `[Gc]=ctr_gram(sl)`

### Parameters

- `A,B` : two real matrices of appropriate dimensions
- `dom` : character string (`'c'` (default value) or `'d'`)
- `sl` : linear system, `syslin` list

### Description

Controllability gramian of `(A,B)` or `sl` (a `syslin` linear system).

`dom` character string giving the time domain : `"d"` for a discrete time system and `"c"` for continuous time (default case).

### Examples

    A=diag([-1,-2,-3]);B=rand(3,2);
    Wc=ctr_gram(A,B)
    U=rand(3,3);A1=U*A/U;B1=U*B;
    Wc1=ctr_gram(A1,B1)    //Not invariant!

### See Also

`equil1` `obs_gram` `contr` `cont_mat` `cont_frm` `contrss`

### Author

S. Steer INRIA 1988